Create Attribute
curl --request POST \
--url https://api.lendflow.com/api/attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"description": "Et animi quos velit et fugiat.",
"client_id": null,
"status": 1,
"type": 1,
"tokens": null,
"content": null,
"is_readonly": false
}
'import requests
url = "https://api.lendflow.com/api/attributes"
payload = {
"name": "b",
"description": "Et animi quos velit et fugiat.",
"client_id": None,
"status": 1,
"type": 1,
"tokens": None,
"content": None,
"is_readonly": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'b',
description: 'Et animi quos velit et fugiat.',
client_id: null,
status: 1,
type: 1,
tokens: null,
content: null,
is_readonly: false
})
};
fetch('https://api.lendflow.com/api/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"short_id": null,
"name": "Sunt.",
"description": "Laboriosam praesentium quis adipisci molestias fugit deleniti distinctio. Doloremque id aut libero aliquam veniam corporis. Mollitia deleniti nemo odit quia officia.",
"is_global": false,
"status": 2,
"type": 1,
"content": null,
"tokens": null,
"updated_at": null,
"created_at": null,
"is_readonly": false,
"is_legacy": false
}
}Attributes
Create Attribute
Creates a new attribute in draft status and returns it, including its content definition.
POST
/
api
/
attributes
Create Attribute
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Must not be greater than 255 characters.
Example:
"b"
Must not be greater than 500 characters.
Example:
"Et animi quos velit et fugiat."
Must match an existing stored value.
Example:
null
Available options:
1, 2 Example:
1
Available options:
1, 2 Example:
1
Example:
null
Example:
null
Example:
false
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?